#!/bin/bash
# Usage: process_file.sh file.nc login@ip.amazonaws.com keypair.pem

export KEYPAIR=$3
#/home/cecchet/ec2/keys/cecchet-keypair.pem
echo Compressing and uploading file $1
cp $1 /tmp
gzip /tmp/$1
$DICLOUD_HOME/bin/put.sh /tmp/$1.gz
rm /tmp/$1.gz
echo Downloading compressed file on EC2 server $2
ssh -x -i $KEYPAIR $2 dicloud/bin/get.sh $1.gz
ssh -x -i $KEYPAIR $2 gunzip $1.gz
echo Processing file on EC2 server
ssh -x -i $KEYPAIR $2 utilities/netcdf2png -c utilities/velocity.png $1 -o $1.png
ssh -x -i $KEYPAIR $2 gzip $1.png
echo Uploading image $1.png from EC2 server to S3
ssh -x -i $KEYPAIR $2 dicloud/bin/put.sh $1.png.gz
echo Downloading and uncompressing image $1.png locally
$DICLOUD_HOME/bin/get.sh $1.png.gz
gunzip -f $1.png.gz
echo Visualizing generated file
eog $1.png &
echo Cleaning up files on EC2 server
ssh -x -i $KEYPAIR $2 rm $1 $1.png.gz
